<div class="modal is-active">
  <div class="modal-background" (click)="hideAddRepositoriesModal()"></div>
  <div class="modal-content box">

    <h4 class="title is-3 has-text-centered has-text-grey-dark">Add repository to <a class="has-text-primary" (click)="hideAddRepositoriesModal()">{{ currentWorkspace.name }}</a></h4>
    <hr>

    <div class="field">
      <label for="searchInput" class="label">Name or URL</label>
      <div class="control has-icons-left" style="width: 100%">
        <input id="searchInputElt" name="searchInputElt" #searchInputElt="ngModel" class="input" [(ngModel)]="searchInput" (ngModelChange)="searchRepositories()" type="text" placeholder="Repository name or URL">
        <span class="icon is-small is-left">
          <i class="fas fa-search"></i>
        </span>
      </div>
    </div>
    <div *ngIf="(searchInputElt.dirty || searchInputElt.touched) && noRepositoriesFound()" class="help is-danger">
      <b>No repositories found</b>
    </div>

    <div *ngFor="let repoSearched of foundedRepositories" class="box">
      <app-repository-item-adder [repository]="repoSearched"></app-repository-item-adder>
    </div>

    <hr>

    <div *ngIf="userRepositories">
      <h5 class="subtitle is-5 has-text-primary">Repositories you own</h5>
      <div *ngFor="let repoOwned of userRepositories.owned" class="box">
        <app-repository-item-adder [repository]="repoOwned"></app-repository-item-adder>
      </div>
      <div *ngIf="noRepositoriesOwned()" class="help is-danger">
        <b>No repositories owned to add</b>
      </div>

      <hr>

      <h5 class="subtitle is-5 has-text-primary">Repositories you are member of</h5>
      <div *ngFor="let repoMemberOf of userRepositories.memberOf" class="box">
        <app-repository-item-adder [repository]="repoMemberOf"></app-repository-item-adder>
      </div>
      <div *ngIf="noRepositoriesMemberOf()" class="help is-danger">
        <b>No repositories you are member of to add</b>
      </div>

      <hr>

      <h5 class="subtitle is-5 has-text-primary">Repositories you starred</h5>
      <div *ngFor="let repoStarred of userRepositories.starred" class="box">
        <app-repository-item-adder [repository]="repoStarred"></app-repository-item-adder>
      </div>
      <div *ngIf="noRepositoriesStarred()" class="help is-danger">
        <b>No repositories starred to add</b>
      </div>

      <hr>

    </div>

  </div>
  <button class="modal-close is-large" aria-label="close" (click)="hideAddRepositoriesModal()"></button>
</div>
